#include <stdlib.h>
#include <string.h>
#include "dave_base.h"
#include "EwRte.h"

/* Memory usage profiler */
extern int EwResourcesMemory;
extern int EwResourcesMemoryPeak;
extern int EwObjectsMemory;
extern int EwStringsMemory;
extern int EwMemoryPeak;

static int D2MemoryTotal = 0;

void * d1_malloc(unsigned int size)
{
    unsigned long addr;
    /* allocate additional 4 bytes, to store the size */
    size = size + 4;
    addr = (unsigned long)EwAlloc( size );
    if ( !addr )
    {
      EwPrint( "Error: D2 Alloc - Out of memory!\n" );
      return NULL;
    }

    /* store the size of the memory block at the beginning */
    *((unsigned long*)addr) = size;

    /* add allocated memory to statistic */
    EwResourcesMemory += size;
    D2MemoryTotal += size;
    //EwPrint("D2 Alloc %d - Total %d\n", size, D2MemoryTotal );

	/* also track the max. memory pressure */
	if ( EwResourcesMemory > EwResourcesMemoryPeak )
	  EwResourcesMemoryPeak = EwResourcesMemory;

	if (( EwObjectsMemory + EwStringsMemory + EwResourcesMemory ) > EwMemoryPeak )
	  EwMemoryPeak = EwObjectsMemory + EwStringsMemory + EwResourcesMemory;

    /* adjust pointer */
    return (void*)( addr + 4 );
}

//--------------------------------------------------------------------------
//  d1_freemem
// Release system memory.
//
void d1_free( void* ptr )
{
    unsigned long addr = (unsigned long)ptr - 4;
    unsigned long size = *((unsigned long*)addr);

    EwResourcesMemory -= size;
    D2MemoryTotal -= size;
    //EwPrint("D2 Free %d - Total %d\n", size, D2MemoryTotal );

    EwFree( (void*)addr );
}
